package io.lumine.cosmetics.menus;

import io.lumine.cosmetics.MCCosmeticsPlugin;
import io.lumine.cosmetics.api.cosmetics.Cosmetic;
import io.lumine.cosmetics.types.MCCosmeticsManager;
import io.lumine.cosmetics.players.Profile;
import io.lumine.mythic.bukkit.utils.serialize.Chroma;
import lombok.AllArgsConstructor;
import lombok.Data;
import org.bukkit.entity.Player;

@Data @AllArgsConstructor
public class SelectColorContext {

    private final MCCosmeticsManager manager;
    private final Profile profile;
    private final SelectionMenuData selectionMenuData;
    private final Cosmetic cosmetic;
    private Chroma chroma;

    public void goBack() {
        if(selectionMenuData != null) {
            selectionMenuData.openMenu(profile.getPlayer());
        }
    }

    public void openMenu() {
        MCCosmeticsPlugin.inst().getMenuManager().openColorPicker(manager, profile, this);
    }
}
