package io.lumine.cosmetics.nms.cosmetic;

import io.lumine.cosmetics.api.cosmetics.EquippedCosmetic;
import io.lumine.cosmetics.api.players.CosmeticProfile;
import io.lumine.cosmetics.api.players.wardrobe.Mannequin;
import io.lumine.cosmetics.players.Profile;
import io.lumine.cosmetics.types.equipment.CosmeticEquipmentSlot;

public interface VolatileEquipmentCosmeticHelper extends VolatileCosmeticHelper {

	public void equip(CosmeticProfile profile, CosmeticEquipmentSlot slot);

	public void unequip(CosmeticProfile profile, CosmeticEquipmentSlot slot);
	
	default void equipMannequin(Mannequin mannequin, CosmeticEquipmentSlot slot, EquippedCosmetic cosmetic) {
	    
	}
	
    default void unequipMannequin(Mannequin mannequin, CosmeticEquipmentSlot slot) {
        
    }

	static byte toByte(float val) {
		return (byte)((int)(val * 256.0F / 360.0F));
	}

	void sendEquippedCosmetics(Profile profile);
}
