package io.lumine.cosmetics.types.equipment;

import io.lumine.cosmetics.types.AbstractCosmetic;
import io.lumine.cosmetics.types.equipment.hats.Hat;
import io.lumine.cosmetics.types.equipment.offhand.Offhand;

public enum CosmeticEquipmentSlot {

    HAT(Hat.class),
    OFFHAND(Offhand.class)

    ;

    private final Class<? extends AbstractCosmetic> clazz;

    private CosmeticEquipmentSlot(Class<? extends AbstractCosmetic> clazz) {
        this.clazz = clazz;
    }

    public Class<? extends AbstractCosmetic> getCosmeticClass() {
        return clazz;
    }
}
