package io.lumine.cosmetics.types.sprays;

import io.lumine.cosmetics.api.menus.SelectionMenuContext;
import io.lumine.cosmetics.api.players.CosmeticProfile;
import io.lumine.cosmetics.constants.CosmeticType;
import io.lumine.cosmetics.types.AbstractCosmetic;
import io.lumine.mythic.api.packs.Pack;
import io.lumine.mythic.bukkit.utils.menu.Icon;
import java.io.File;

public abstract class Spray extends AbstractCosmetic {

	public Spray(SprayManager manager, Pack pack, File file, String key) {
	    super(manager, pack, file, CosmeticType.type(Spray.class), key);
	}

	@Override
	public String getPropertyNode() {
		return this.key;
	}

}
